
Figure - Bug #116826
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT】【系统手势】【偶现一次】副屏出现底部上滑无法返回桌面,无法打开多任务管理器的现象
2023-03-09 11:08 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-09

Priority: Normal Due date: 2023-04-10

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0090_20230411

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0080.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

Reproducibility: Every time Fixed Version: 2023-04-11

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、副屏出现底部上滑并停顿

【预期结果】

1、进入多任务管理器

【实际结果】

1、无法打开多任务管理器

Related issues:

Related to Figure - Bug # 116849: 【AF】【EVT】【桌面】在测试过程中，屏幕短... CLOSED 2023-03-09 2023-04-10

History

#1 - 2023-03-14 16:28 - 移动测试一组_CDTS 刘强

- File tlog_sts40x190142_002_0314040413.tar.gz added

Hi all

01.00.0082.C101复现一次

日志上传如复现所示

#2 - 2023-03-23 14:47 - CDTS_TEST 王成

- Target version set to VC1_FSE_0090_20230411

#3 - 2023-03-31 15:01 - CD APP-王营

- Due date set to 2023-04-10

#4 - 2023-03-31 15:02 - CD APP-王营

- Status changed from New to ASSIGNED

#5 - 2023-04-10 20:43 - CD APP-王营
■ Current conclusion

未能复现此问题，分析各场景下手势流程。

■ Next action

1、与测试同事确认问题产生场景，上滑停顿是否有手势响应，即桌面缩放动画执行。

2、打开设置中的pointer，确认是否和屏幕触控断点有关系。

#6 - 2023-04-11 18:06 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-11

- Root cause set to 编码问题

■ Current conclusion

经过log分析，此问题应该和Launcher出现的anr问题相同，此问题已解决

■ My analysis

通过客户提供的log可知问题发生时是因为Launcher产生ANR，log如下

Subject: Input dispatching timed out (swipe-up (server) is not responding. Waited 5000ms for MotionEvent)

----- pid 2561 at 2023-03-07 17:04:26.296199872+0800 -----

Cmd line: com.android.launcher3

"main" prio=5 tid=1 Native  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x72eb3518 self=0xb40000774d3897b0  | sysTid=2561 nice=0 cgrp=default sched=0/0

handle=0x7916ccf4f8  | state=D schedstat=( 23401188880 10572412827 71458 ) utm=1727 stm=612 core=6 HZ=100  | stack=0x7fcc1ba000-0x7fcc1bc000

stackSize=8188KB  | held mutexes=

  native: #00 pc 00000000000a1dac  /apex/com.android.runtime/lib64/bionic/libc.so (fsync+12)

  native: #01 pc 000000000000475c  /apex/com.android.art/lib64/libopenjdkjvm.so (JVM_Sync+24)

  native: #02 pc 000000000001f428  /apex/com.android.art/lib64/libopenjdk.so (FileDescriptor_sync+44)

  at java.io.FileDescriptor.sync(Native method)

  at android.os.FileUtils.sync(FileUtils.java:256)

  at android.app.SharedPreferencesImpl.writeToFile(SharedPreferencesImpl.java:807)

  at android.app.SharedPreferencesImpl.access$900(SharedPreferencesImpl.java:59)

  at android.app.SharedPreferencesImpl$2.run(SharedPreferencesImpl.java:672)

  - locked <0x072b98bd> (a java.lang.Object)

  at android.app.SharedPreferencesImpl.enqueueDiskWrite(SharedPreferencesImpl.java:691)

  at android.app.SharedPreferencesImpl.access$100(SharedPreferencesImpl.java:59)

  at android.app.SharedPreferencesImpl$EditorImpl.commit(SharedPreferencesImpl.java:604)

  at com.android.launcher3.util.SpUtils.putString(SpUtils.java:40)

  at com.android.launcher3.util.MCUUtil.saveLastActivity(MCUUtil.java:54)

  at com.android.launcher3.util.ActivityChangeReceiver.onReceive(ActivityChangeReceiver.java:15)

  at android.app.LoadedApk$ReceiverDispatcher$Args.lambda$getRunnable$0$LoadedApk$ReceiverDispatcher$Args(LoadedApk.java:1679)

  at android.app.LoadedApk$ReceiverDispatcher$Args$$ExternalSyntheticLambda0.run(unavailable:-1)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.app.ActivityThread.main(ActivityThread.java:7880)

  at java.lang.reflect.Method.invoke(Native method)
  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

问题产生的原因是过压保护功能在保存当前启动Activity时，SharedPreference写数据出现anr，问题已经优化处理，代码提交链接如下

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/188893

测试同事提供的log中未能定位Launcher出现问题，只有一个anr问题

03-14 03:52:32.768  1541  4120 E ActivityManager: ANR in com.android.development (com.android.development/.BadBehaviorActivity)

03-14 03:52:32.768  1541  4120 E ActivityManager: PID: 4046

03-14 03:52:32.768  1541  4120 E ActivityManager: Reason: Input dispatching timed out (d4c72f7

com.android.development/com.android.development.BadBehaviorActivity (server) is not responding. Waited 5002ms for FocusEvent(hasFocus=false))

03-14 03:52:32.768  1541  4120 E ActivityManager: Parent: com.android.development/.BadBehaviorActivity

03-14 03:52:32.768  1541  4120 E ActivityManager: ErrorId: c3457b6f-04f2-4d6d-86b8-b5a20214257f

03-14 03:52:32.768  1541  4120 E ActivityManager: Frozen: false

03-14 03:52:32.768  1541  4120 E ActivityManager: Load: 0.95 / 0.38 / 0.14

03-14 03:52:32.768  1541  4120 E ActivityManager: ----- Output from /proc/pressure/memory -----

03-14 03:52:32.768  1541  4120 E ActivityManager: some avg10=0.00 avg60=0.00 avg300=0.00 total=0

03-14 03:52:32.768  1541  4120 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.00 total=0

03-14 03:52:32.768  1541  4120 E ActivityManager: ----- End output from /proc/pressure/memory -----

此应用为测试应用，默认不会搭载，用于模拟anr和crash问题

■ Next action 

请测试同事使用最新版本复测此问题，验证不复现可关闭此问题。

#7 - 2023-04-13 19:27 - CD TEST-方永红

4.13

0090及0091版本未复现次问题

继续跟踪一个版本

#8 - 2023-04-17 11:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

4.17

14号DB未复现

先关闭

#9 - 2023-04-17 11:07 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_sts40x190142_002_0314040413.tar.gz 7.88 MB 2023-03-14 移动测试一组_CDTS 刘强
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/188893

